#include <dht.h>
#include <LiquidCrystal.h>
#include <DallasTemperature.h>
#include <OneWire.h>
#include <Wire.h>

#define water 9  

OneWire oneWire(water);
DallasTemperature sensors(&oneWire); 

LiquidCrystal lcd(12,11,5,4,3,2);

dht DHT; 

#define DHT11_PIN 8

void setup(void)
{
  lcd.begin(16, 2);
  Serial.begin(9600);
}

void loop(void)
{
  int chk = DHT.read11(DHT11_PIN);
  lcd.setCursor(0,0); 
  lcd.print("Room Temp: ");
  lcd.print(DHT.temperature);
  lcd.print((char)223);
  lcd.print("C");
  lcd.setCursor(2,1);
  lcd.print("Room Humidity: ");
  lcd.print(DHT.humidity);
  lcd.print("%");

  sensors.requestTemperatures(); 
  float Celsius = sensors.getTempCByIndex(0); 

  lcd.setCursor(20,0);
  lcd.print("Water Temp: ");
  lcd.print(Celsius); //Imprimer la température en Celsius
  lcd.print((char)223);
  lcd.print("C   ");  
  
    for (int positionCounter = 0; positionCounter < 10; positionCounter++) 
    {
      lcd.scrollDisplayLeft();
      delay(400);
    }}

